Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.auth
Class SyncObject

    java.lang.Object
      com.plumtree.remote.auth.SyncObject

public class SyncObject
extends java.lang.Object

Represents an object to be synchronized, in this case a user or group.

Method Summary
`static SyncObject` | `createGroup(java.lang.String name, java.lang.String uniqueName)` Static method to create a `SyncObject` representing a group.
`static SyncObject` | `createUser(java.lang.String name, java.lang.String authName, java.lang.String uniqueName)` Static method to create a `SyncObject` representing a user.
`java.lang.String` | `getAuthName()` Gets the authentication name used by the associated authentication service.
`java.lang.String` | `getName()` Gets the name of the user in the portal.
`java.lang.String` | `getUniqueName()` Gets the unique name used in the synchronization service.
`void` | `setAuthName(java.lang.String authName)` Sets the authentication name used by the associated authentication service.
`void` | `setName(java.lang.String name)` Sets the name of the user in the portal.
`void` | `setUniqueName(java.lang.String uniqueName)` Sets the unique name used in the synchronization service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createGroup

    public static SyncObject createGroup(java.lang.String name,
                                         java.lang.String uniqueName)

  Static method to create a `SyncObject` representing a group.

  Parameters:
    `name` - the name of the group in the portal
    `uniqueName` - a unique name for this group in the synchronization service
  Returns:
    a `SyncObject` representing a group

### createUser

    public static SyncObject createUser(java.lang.String name,
                                        java.lang.String authName,
                                        java.lang.String uniqueName)

  Static method to create a `SyncObject` representing a user.

  Parameters:
    `name` - the name of the user in the portal
    `authName` - the name to be passed to the authentication service
    `uniqueName` - a unique name for this user in the synchronization service
  Returns:
    a `SyncObject` representing a user

### getName

    public java.lang.String getName()

  Gets the name of the user in the portal.

### setName

    public void setName(java.lang.String name)

  Sets the name of the user in the portal.

### getAuthName

    public java.lang.String getAuthName()

  Gets the authentication name used by the associated authentication service.

### setAuthName

    public void setAuthName(java.lang.String authName)

  Sets the authentication name used by the associated authentication service.

### getUniqueName

    public java.lang.String getUniqueName()

  Gets the unique name used in the synchronization service. Note: This value is case-sensitive and is always returned by the portal in uppercase.

### setUniqueName

    public void setUniqueName(java.lang.String uniqueName)

  Sets the unique name used in the synchronization service. Note: This value is case-sensitive and is always returned by the portal in uppercase.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.